<nz-page-header [nzTitle]="'Common.Maps.worldHistory' | translate" nzBack>
</nz-page-header>

<app-legacy-map showRegionDetails="false" (mapLoaded)="map = $event; resetMap()" [showTitle]="false"></app-legacy-map>

<nz-card nzSize="small" [nzTitle]="'Common.Maps.Timeline' | translate" [nzExtra]="timelineAcctions" style="margin-top: 5px">

  <ng-template #timelineAcctions>
    <nz-button-group nzSize="small">
      <button nz-button (click)="previousDay()" nzSize="small">
        <span nz-icon nzType="left"></span>
        {{'Common.Maps.dayBack' | translate}}
      </button>
      <button nz-button nzSize="small">
        {{'Social.Newspaper.Day' | translate}}: {{ currentDay }}
      </button>
      <button nz-button nzSize="small" *ngIf="!isAutoPlayOn" (click)="startAutoPlay()">
        <span nz-icon nzType="play-circle" nzTheme="outline"></span>
        {{'Common.AutoPlay' | translate}}
      </button>
      <button nz-button nzSize="small" *ngIf="isAutoPlayOn" (click)="pauseAutoPlay()">
        <span nz-icon nzType="pause-circle" nzTheme="outline"></span>
        {{'Common.Maps.Pause' | translate}}
      </button>
      <button nz-button (click)="nextDay()" nzSize="small">
        {{'Common.Maps.dayForward' | translate}}
        <span nz-icon nzType="right"></span>
      </button>
    </nz-button-group>
  </ng-template>

  <nz-timeline nzMode="custom">
    <nz-timeline-item *ngFor="let historyItem of history" [nzPosition]="historyItem.position"
      [nzColor]="historyItem.color">
      <div *ngIf="historyItem.position === 'right'">{{'Social.Newspaper.Day' | translate}}: {{ historyItem.day }}</div>
      <div *ngIf="historyItem.position === 'left'">
        <div *ngFor="let change of historyItem.data">
          <div *ngIf="change.type == 'BattleStart'">
            {{'Common.Region' | translate}} <a target="_blank" [routerLink]="['/region', change.region.id]">{{ change.region.name }}</a> {{'Citizen.Company.ownedByLowCase' | translate}}
            <a target="_blank" [routerLink]="['/country', change.battle.defenderCountry.id]">{{
              change.battle.defenderCountry.name }}</a> {{'Common.Maps.beenAttackedBy' | translate}}
            <a target="_blank" [routerLink]="['/country', change.battle.attackerCountry.id]">{{
              change.battle.attackerCountry.name }}</a>.
          </div>
          <div *ngIf="change.type == 'BattleEnd'">
            <a target="_blank" [routerLink]="['/battle', change.battle.id]">{{'Common.Maps.Battle' | translate}}</a> {{'Common.Maps.forRegion' | translate}}
            <a target="_blank" [routerLink]="['/region', change.region.id]">{{ change.region.name }}</a> {{'Common.Maps.beenWonBy' | translate}}
            <a target="_blank" [routerLink]="['/country', change.winner.id]">{{ change.winner?.name }}</a>
          </div>
        </div>
      </div>
    </nz-timeline-item>

  </nz-timeline>
</nz-card>
